콘텐츠로 건너뛰기

개요

  • 버전: 2.0
  • 서버: https://api.xsolla.com/merchant/v2/

본 API 참조는 정기 결제, 쿠폰 및 프로모션 관리 엔드포인트에 관하여 기술하고 있습니다. 정기 결제에 대한 더 자세한 내용은 제품 가이드용어집을 참조하십시오.

OpenAPI 설명 다운로드
언어
서버
Mock server
https://xsolla.redocly.app/_mock/ko/api/subscriptions/
작업
작업
작업
작업
작업
작업
작업

요청

보안
projectUserJwtAuth
경로
subscription_idinteger\d+필수
project_idinteger\d+필수
curl -i -X PUT \
  'https://xsolla.redocly.app/_mock/ko/api/subscriptions/api/user/v1/projects/{project_id}/subscriptions/{subscription_id}/cancel' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

응답

Make subscription non-renewable

본문application/json
응답
application/json
null

요청

보안
projectUserJwtAuth
경로
subscription_idinteger\d+필수
project_idinteger\d+필수
본문application/json필수

Renew subscription

custom_parametersobject or null

You can pass additional parameters in the token

기본값 null
settings(object or null)
(object or null)
steam_user_idstring or null
curl -i -X POST \
  'https://xsolla.redocly.app/_mock/ko/api/subscriptions/api/user/v1/projects/{project_id}/subscriptions/{subscription_id}/renew' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "custom_parameters": null,
    "settings": {
      "currency": "str",
      "external_id": "string",
      "hide_saved_payment_accounts": true,
      "locale": "st",
      "payment_method": 1,
      "redirect_policy": {
        "delay": 0,
        "redirect_button_caption": "string",
        "redirect_conditions": "none",
        "status_for_manual_redirection": "none"
      },
      "return_url": "string",
      "steam_user_id": "stringstringstrin",
      "ui": {
        "desktop": {
          "header": {
            "close_button": true,
            "is_visible": true,
            "type": "compact",
            "visible_logo": true,
            "visible_name": true
          }
        },
        "independent_windows": true,
        "license_url": "string",
        "mobile": {
          "footer": {
            "is_visible": true
          },
          "header": {
            "close_button": true
          },
          "mode": "saved_accounts"
        },
        "mode": "user_account",
        "size": "large",
        "theme": "string",
        "user_account": {
          "history": {
            "enable": true,
            "order": 1
          },
          "info": {
            "enable": true,
            "order": 1
          },
          "payment_accounts": {
            "enable": true,
            "order": 1
          },
          "subscriptions": {
            "enable": true,
            "order": 1
          }
        },
        "version": "desktop"
      },
      "xsolla_product_tag": "string"
    },
    "steam_user_id": "string"
  }'

응답

Get subscription renew url

본문application/json
link_to_psstring필수
예제: "https://secure.xsolla.com/paystation2/?access_token=<access_token>"
응답
application/json
{ "link_to_ps": "https://secure.xsolla.com/paystation2/?access_token=<access_token>" }
작업
작업
작업
작업